#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ECstrike15UserMessages {
    VGUIMenu = 301,
    Geiger = 302,
    Train = 303,
    HudText = 304,
    SayText = 305,
    SayText2 = 306,
    TextMsg = 307,
    HudMsg = 308,
    ResetHud = 309,
    GameTitle = 310,
    Shake = 312,
    Fade = 313,
    Rumble = 314,
    CloseCaption = 315,
    CloseCaptionDirect = 316,
    SendAudio = 317,
    RawAudio = 318,
    VoiceMask = 319,
    RequestState = 320,
    Damage = 321,
    RadioText = 322,
    HintText = 323,
    KeyHintText = 324,
    ProcessSpottedEntityUpdate = 325,
    ReloadEffect = 326,
    AdjustMoney = 327,
    UpdateTeamMoney = 328,
    StopSpectatorMode = 329,
    KillCam = 330,
    DesiredTimescale = 331,
    CurrentTimescale = 332,
    AchievementEvent = 333,
    MatchEndConditions = 334,
    DisconnectToLobby = 335,
    PlayerStatsUpdate = 336,
    ClientInfo = 339,
    XRankGet = 340,
    XRankUpd = 341,
    CallVoteFailed = 345,
    VoteStart = 346,
    VotePass = 347,
    VoteFailed = 348,
    VoteSetup = 349,
    ServerRankRevealAll = 350,
    SendLastKillerDamageToClient = 351,
    ServerRankUpdate = 352,
    ItemPickup = 353,
    ShowMenu = 354,
    BarTime = 355,
    AmmoDenied = 356,
    MarkAchievement = 357,
    MatchStatsUpdate = 358,
    ItemDrop = 359,
    SendPlayerItemDrops = 361,
    RoundBackupFilenames = 362,
    SendPlayerItemFound = 363,
    ReportHit = 364,
    XpUpdate = 365,
    QuestProgress = 366,
    ScoreLeaderboardData = 367,
    PlayerDecalDigitalSignature = 368,
    WeaponSound = 369,
    UpdateScreenHealthBar = 370,
    EntityOutlineHighlight = 371,
    SSUI = 372,
    SurvivalStats = 373,
    DisconnectToLobby2 = 374,
    EndOfMatchAllPlayersData = 375,
    PostRoundDamageReport = 376,
    RoundEndReportData = 379,
    CurrentRoundOdds = 380,
    DeepStats = 381,
    ShootInfo = 383,
    CounterStrafe = 385,
    DamagePrediction = 386,
    RecurringMissionSchema = 387,
    SendPlayerLoadout = 388,
}

impl ECstrike15UserMessages {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::VGUIMenu as i32 => Some(Self::VGUIMenu),
            x if x == Self::Geiger as i32 => Some(Self::Geiger),
            x if x == Self::Train as i32 => Some(Self::Train),
            x if x == Self::HudText as i32 => Some(Self::HudText),
            x if x == Self::SayText as i32 => Some(Self::SayText),
            x if x == Self::SayText2 as i32 => Some(Self::SayText2),
            x if x == Self::TextMsg as i32 => Some(Self::TextMsg),
            x if x == Self::HudMsg as i32 => Some(Self::HudMsg),
            x if x == Self::ResetHud as i32 => Some(Self::ResetHud),
            x if x == Self::GameTitle as i32 => Some(Self::GameTitle),
            x if x == Self::Shake as i32 => Some(Self::Shake),
            x if x == Self::Fade as i32 => Some(Self::Fade),
            x if x == Self::Rumble as i32 => Some(Self::Rumble),
            x if x == Self::CloseCaption as i32 => Some(Self::CloseCaption),
            x if x == Self::CloseCaptionDirect as i32 => Some(Self::CloseCaptionDirect),
            x if x == Self::SendAudio as i32 => Some(Self::SendAudio),
            x if x == Self::RawAudio as i32 => Some(Self::RawAudio),
            x if x == Self::VoiceMask as i32 => Some(Self::VoiceMask),
            x if x == Self::RequestState as i32 => Some(Self::RequestState),
            x if x == Self::Damage as i32 => Some(Self::Damage),
            x if x == Self::RadioText as i32 => Some(Self::RadioText),
            x if x == Self::HintText as i32 => Some(Self::HintText),
            x if x == Self::KeyHintText as i32 => Some(Self::KeyHintText),
            x if x == Self::ProcessSpottedEntityUpdate as i32 => Some(Self::ProcessSpottedEntityUpdate),
            x if x == Self::ReloadEffect as i32 => Some(Self::ReloadEffect),
            x if x == Self::AdjustMoney as i32 => Some(Self::AdjustMoney),
            x if x == Self::UpdateTeamMoney as i32 => Some(Self::UpdateTeamMoney),
            x if x == Self::StopSpectatorMode as i32 => Some(Self::StopSpectatorMode),
            x if x == Self::KillCam as i32 => Some(Self::KillCam),
            x if x == Self::DesiredTimescale as i32 => Some(Self::DesiredTimescale),
            x if x == Self::CurrentTimescale as i32 => Some(Self::CurrentTimescale),
            x if x == Self::AchievementEvent as i32 => Some(Self::AchievementEvent),
            x if x == Self::MatchEndConditions as i32 => Some(Self::MatchEndConditions),
            x if x == Self::DisconnectToLobby as i32 => Some(Self::DisconnectToLobby),
            x if x == Self::PlayerStatsUpdate as i32 => Some(Self::PlayerStatsUpdate),
            x if x == Self::ClientInfo as i32 => Some(Self::ClientInfo),
            x if x == Self::XRankGet as i32 => Some(Self::XRankGet),
            x if x == Self::XRankUpd as i32 => Some(Self::XRankUpd),
            x if x == Self::CallVoteFailed as i32 => Some(Self::CallVoteFailed),
            x if x == Self::VoteStart as i32 => Some(Self::VoteStart),
            x if x == Self::VotePass as i32 => Some(Self::VotePass),
            x if x == Self::VoteFailed as i32 => Some(Self::VoteFailed),
            x if x == Self::VoteSetup as i32 => Some(Self::VoteSetup),
            x if x == Self::ServerRankRevealAll as i32 => Some(Self::ServerRankRevealAll),
            x if x == Self::SendLastKillerDamageToClient as i32 => Some(Self::SendLastKillerDamageToClient),
            x if x == Self::ServerRankUpdate as i32 => Some(Self::ServerRankUpdate),
            x if x == Self::ItemPickup as i32 => Some(Self::ItemPickup),
            x if x == Self::ShowMenu as i32 => Some(Self::ShowMenu),
            x if x == Self::BarTime as i32 => Some(Self::BarTime),
            x if x == Self::AmmoDenied as i32 => Some(Self::AmmoDenied),
            x if x == Self::MarkAchievement as i32 => Some(Self::MarkAchievement),
            x if x == Self::MatchStatsUpdate as i32 => Some(Self::MatchStatsUpdate),
            x if x == Self::ItemDrop as i32 => Some(Self::ItemDrop),
            x if x == Self::SendPlayerItemDrops as i32 => Some(Self::SendPlayerItemDrops),
            x if x == Self::RoundBackupFilenames as i32 => Some(Self::RoundBackupFilenames),
            x if x == Self::SendPlayerItemFound as i32 => Some(Self::SendPlayerItemFound),
            x if x == Self::ReportHit as i32 => Some(Self::ReportHit),
            x if x == Self::XpUpdate as i32 => Some(Self::XpUpdate),
            x if x == Self::QuestProgress as i32 => Some(Self::QuestProgress),
            x if x == Self::ScoreLeaderboardData as i32 => Some(Self::ScoreLeaderboardData),
            x if x == Self::PlayerDecalDigitalSignature as i32 => Some(Self::PlayerDecalDigitalSignature),
            x if x == Self::WeaponSound as i32 => Some(Self::WeaponSound),
            x if x == Self::UpdateScreenHealthBar as i32 => Some(Self::UpdateScreenHealthBar),
            x if x == Self::EntityOutlineHighlight as i32 => Some(Self::EntityOutlineHighlight),
            x if x == Self::SSUI as i32 => Some(Self::SSUI),
            x if x == Self::SurvivalStats as i32 => Some(Self::SurvivalStats),
            x if x == Self::DisconnectToLobby2 as i32 => Some(Self::DisconnectToLobby2),
            x if x == Self::EndOfMatchAllPlayersData as i32 => Some(Self::EndOfMatchAllPlayersData),
            x if x == Self::PostRoundDamageReport as i32 => Some(Self::PostRoundDamageReport),
            x if x == Self::RoundEndReportData as i32 => Some(Self::RoundEndReportData),
            x if x == Self::CurrentRoundOdds as i32 => Some(Self::CurrentRoundOdds),
            x if x == Self::DeepStats as i32 => Some(Self::DeepStats),
            x if x == Self::ShootInfo as i32 => Some(Self::ShootInfo),
            x if x == Self::CounterStrafe as i32 => Some(Self::CounterStrafe),
            x if x == Self::DamagePrediction as i32 => Some(Self::DamagePrediction),
            x if x == Self::RecurringMissionSchema as i32 => Some(Self::RecurringMissionSchema),
            x if x == Self::SendPlayerLoadout as i32 => Some(Self::SendPlayerLoadout),
            _ => None,
        }
    }
}
